Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Qizx/open 4.1 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.qizx.api
Class EvaluationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.qizx.api.QizxException
                  com.qizx.api.EvaluationException

All Implemented Interfaces:
  Serializable

    public class EvaluationException

extends QizxException

Exception thrown by an error in the execution of an XQuery Expression.

See Also:
  Serialized Form

Field Summary
`static QName` | `CANCELLED` Error code used when the evaluation has been explicitly cancelled.
`static QName` | `TIME_LIMIT` Error code used when the time limit for evaluation has been reached.

Constructor Summary
`EvaluationException(QName xqueryCode, String message)` Constructs an EvaluationException from a simple message and an error code.
`EvaluationException(QName xqueryCode, String message, Throwable cause)` Constructs an EvaluationException from a simple message, an error code and an exception.
`EvaluationException(String message)` Constructs an EvaluationException from a simple message.
`EvaluationException(String message, Throwable cause)` Constructs an EvaluationException from a simple message and an exception.

Method Summary
`EvaluationStackTrace[]` | `getStack()` Returns the execution stack at the moment of the error.
`com.qizx.xquery.XQValue` | `getValue()`
`void` | `setStack(EvaluationStackTrace[] stack)` For internal use.
`void` | `setValue(com.qizx.xquery.XQValue value)`

Methods inherited from class com.qizx.api.QizxException
`getErrorCode, setErrorCode, setErrorCode, substituteCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TIME_LIMIT

    public static final QName TIME_LIMIT

  Error code used when the time limit for evaluation has been reached.

### CANCELLED

    public static final QName CANCELLED

  Error code used when the evaluation has been explicitly cancelled.

Constructor Detail

### EvaluationException

    public EvaluationException(String message)

  Constructs an EvaluationException from a simple message. The error code is undefined.

### EvaluationException

    public EvaluationException(QName xqueryCode,
                               String message)

  Constructs an EvaluationException from a simple message and an error code.

### EvaluationException

    public EvaluationException(String message,
                               Throwable cause)

  Constructs an EvaluationException from a simple message and an exception. The error code is undefined.

### EvaluationException

    public EvaluationException(QName xqueryCode,
                               String message,
                               Throwable cause)

  Constructs an EvaluationException from a simple message, an error code and an exception.

Method Detail

### getStack

    public EvaluationStackTrace[] getStack()

  Returns the execution stack at the moment of the error.

  Returns:
    an array of EvaluationStackTrace objects. The first array element corresponds to the innermost execution level. The last element corresponds to the main query.

### setStack

    public void setStack(EvaluationStackTrace[] stack)

  For internal use.

### getValue

    public com.qizx.xquery.XQValue getValue()

### setValue

    public void setValue(com.qizx.xquery.XQValue value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2010 Axyana Software
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD